import request from '@/utils/request'
import { BASE } from './apiGateway'

var apiList = {
  //设备抓拍
  deviceCapture(params) {
    return request({
      url: `${BASE}/ys/device/deviceCapture`,
      method: 'GET',
      params
    })
  },
  //直播地址
  getDeviceLiveAddress(params) {
    return request({
      url: `${BASE}/ys/device/getDeviceLiveAddress`,
      method: 'GET',
      params
    })
  },
  //设备录像存储信息
  deviceVideoTimeList(params) {
    return request({
      url: `${BASE}/ys/device/deviceVideoTimeList`,
      method: 'GET',
      params
    })
  },
  //录像地址
  videoList2(params) {
    return request({
      url: `${BASE}/ys/device/videoList2`,
      method: 'GET',
      params
    })
  },
  //摄像头开始旋转
  ptzStart(params) {
    return request({
      url: `${BASE}/ys/device/ptzStart`,
      method: 'GET',
      params
    })
  },
  //摄像头停止旋转
  ptzStop(params) {
    return request({
      url: `${BASE}/ys/device/ptzStop`,
      method: 'GET',
      params
    })
  },
}

export default apiList